每天学习一点点,成功增加一大步

支持 PHP 7 以上的SDK

PHP zhanghui 108℃

因为它是一个标准的 Composer 包,这意味着任何满足下列安装条件的 PHP 项目支持 Composer 都可以使用它。

// 在使用 gaoming13/wechat-php-sdk 时要注意开始的引用
$api = new Api(
    array(
        'appId' => $config['AppID'],
        'appSecret' => $config['AppSecret'],
        'get_access_token' => function () use ($cache) {
// 用户需要在这里实现access_token的返回
            return $cache->Get();
        },
        'save_access_token' => function ($token) use ($cache) {
// 用户需要在这里实现access_token的保存
            $token = Converter::objectToArray(json_decode($token));
            $cache->Set($token['access_token'], 7200);
        }
    )
);
$token = $api->get_access_token();

转载请注明:隨習筆記 » 支持 PHP 7 以上的SDK

喜欢 (0)